import request from '@/utils/request'

/**
  * 作业列表
  * @returns 
  * params 搜索条件放这里
  */
 export const getJobList = (params) => request('/work-job', { params })

/**
  * 作业详情
  * @returns 
  * params 搜索条件放这里
  */
 export const getJobDetail = (id,params) => request(`/work-job/${id}`, { params })

 /**
 * 开始作业 暂停作业
 * @param {*} data
 * @returns
 */
export const toggleJob = (id, params) => request(`/work-job/${id}/pause`, { method: 'put', params });

/**
 * 完成作业
 * @param {*} data
 * @returns
 */
export const overJob = (id, data) => request(`/work-job/${id}/stop`, { method: 'put', data });
