import Taro from "@tarojs/taro"
import { View,Image } from "@tarojs/components"
import './style.less'

export default (props) => {
  const { job, user, handleAction } = props
  
  return (
    <View className='Mycell' onClick={user?handleAction:null}>
      {
        !user && <>
          <View className='cell-header'>{props.header}</View>：
          <View className='cell-body'>{props.children}</View>
          <View className='cell-action' style={{ marginRight: job ? '30rpx' : '' }} onClick={handleAction}>{props.action}</View>
        </>
      }
      {
        user&&<>
        <Image src={props.icon} className='cell-header-icon' />
        <View className='cell-body-user'>{props.children}</View>
        <Image className='cell-action-user' src={props.action} />
      </>
      }
      </View>
  )
}
